About

~ FPURLLabel ~

Ver 1.5.0.1

FPUrlLabel has been developed following some advices found in the UDDF site.

FPURLLAbel is a simple component created to act as an hyperlink. It was firstly conceived to follow the trend of adding hyperlink of homepages, E-mail and FTP in the About Form. Than, there have been many changes in the code and now it can be used in a wider way.

AGREEMENT

WARNING!!! This component is provided with no guaranty of any kind! I therefore decline any kind of responsibility. I know it can sound a little bit alarming, but I had to write those lines.

ACKNOWLEDGEMENT

I want to thank everyone who wrote me for FPUrlLabel. I want to apologize if sometimes I didn't answer promptly but I can assure you I read it all your messages and someone will surely see that with the addition of his/her suggestions. Thanks again!!!!

A special thanks goes to CT Koo, who provided me inspirations to improve my component.

INSTALLATION

To install FPUrlLabel, simply load Delphi, from Component Menu click "Install Component" and select FPURLRegister.pas

PROBLEMS?

Any questions, feedback or problems can be sent to me at: passeggieri@geocities.com

UPDATES

Last updates can be found at: www.geocities.com/SiliconValley/Way/7176


History

31/07/98 - Some little retouches: - Ver 1.5.0.1

  • Added support for NEWS (hmNews)

  • Added Enabled and Visible property

30/07/98 - Again, after requests and suggestions: - Ver 1.5.0.0

  • At the end, PopupMenu is a reality.

  • Thanks to Troy a silly bug was corrected (from the very first release): http:\\ is now http://

  • Added some codes to check the availability of a browser.

  • Corrected several errors.

  • I think that now FPUrlLabel is more flexible than ever

20/06/98 - After many requests and suggestions:

  • Added URL property.

  • Added MailSubject property.

  • Improved About Dialog

  • URLLabel is now named FPURLLAbel; This was necessary to prevent confusion since there are other components called URLLabel.

03/05/98

  • You can now set LabelType property using the right click when FPUrlLabel is selected;

  • Added an About Dialog in the Object Inspector. - Ver 1.4.0.1

17/03/98

  • Corrected minor bugs. - Ver 1.4.0.0

14/03/98

  • Sincronized property URLColStd with Font property

  • Replaced the ugly cursor crHandPoint with browser like one.

13/03/98 - Received an improved version by CT Koo (Thanks a lot!!!); This versiona can now:

  • Create a custom label type and on click event which allow user to define custom onclick event.

  • Add AllowDown property, it act like button down.

  • In mouse up event, font change to standard when effect98 is false.

26/12/97

  • Corrected several bugs. - Ver 1.3.0.1

21/12/97

  • Added effect like Win98/IE4 (property Effect98). - Ver 1.3.0.0

16/11/97

  • Added support for FTP (property HTTPorMail is now called LabelType);

  • Now cursor is browser-like. - Ver 1.2.0.0

06/11/97

  • Corrected minor bugs. - Ver 1.1.0.0

04/11/97

  • Added support to choose different colors if TFPUrlLabel is pressed or not(properties SetColStd, SetColPre).

02/11/97

  • Added support for Mail (property HTTPorMail).

31/10/97 - First release.


Properties

Main Properties

About
Allowdown
Effect98
LabelType
MailSubject
URL
URLColPre
URLColStd

About

property About: TAbout
Description

It simply shows the About Form.

Allowdown

property AllowDown : Boolean
Description

If set to true, when clicked it has a button click behavior.

Effect98

property Effect98 : Boolean
Description

If set to true, FPURLLabel behave as Win98/IE4 hyperlink.

LabelType

property LabelType : TLabelType
TLabelType = (hmHTTP, hmMAIL, hmFTP, hmCUSTOM)
Description

Set LabelType to specify how the the label has to behave:

  • hmHTTP The Label or URL properties are seen as an http address.

  • hmMAIL The Label or URL properties are seen as an e-mail address.

  • hmFTP The Label or URL properties are seen as an ftp address.

  • hmNEWS The Label or URL properties are seen as a news address.

  • hmCUSTOM FPUrlLabel execute what is set in the URL property. If URL is empty, nothing happens.

MailSubject

property MailSubject: TMailSubject
TMailSubject = String
Description

With LabelType = hmMail, permits when the e-mail address is run to specify the subject.

URL

property URL: TURL
TURL = String
Description

URL property allows you to put the http, e-mail, etc. address. It's useful if you want to write something else in the caption property. If URL is empty, nothing happens.

URLColPre

property URLColPre: TColor
Description

With this property you can set the label's color when the mouse is over or clicked.

URLColStd

property URLColStd: TColor
Description

Shows the default color of the label.